package com.ruoyi.system.service.conference.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.conference.SysUserConference;
import com.ruoyi.system.service.conference.ISysUserConferenceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysUserConferenceMapper;

/**
 * 参会人员Service业务层处理
 * 
 * @author boman
 * @date 2024-05-06
 */
@Service
public class SysUserConferenceServiceImpl implements ISysUserConferenceService
{
    @Autowired
    private SysUserConferenceMapper sysUserConferenceMapper;

    /**
     * 查询参会人员
     * 
     * @param conferenceId 参会人员主键
     * @return 参会人员
     */
    @Override
    public SysUserConference selectSysUserConferenceByConferenceId(Long conferenceId)
    {
        return sysUserConferenceMapper.selectSysUserConferenceByConferenceId(conferenceId);
    }

    /**
     * 查询参会人员列表
     * 
     * @param sysUserConference 参会人员
     * @return 参会人员
     */
    @Override
    public List<SysUserConference> selectSysUserConferenceList(SysUserConference sysUserConference)
    {
        return sysUserConferenceMapper.selectSysUserConferenceList(sysUserConference);
    }

    /**
     * 新增参会人员
     * 
     * @param sysUserConference 参会人员
     * @return 结果
     */
    @Override
    public int insertSysUserConference(SysUserConference sysUserConference)
    {
        sysUserConference.setCreateTime(DateUtils.getNowDate());
        return sysUserConferenceMapper.insertSysUserConference(sysUserConference);
    }

    /**
     * 修改参会人员
     * 
     * @param sysUserConference 参会人员
     * @return 结果
     */
    @Override
    public int updateSysUserConference(SysUserConference sysUserConference)
    {
        sysUserConference.setUpdateTime(DateUtils.getNowDate());
        return sysUserConferenceMapper.updateSysUserConference(sysUserConference);
    }

    /**
     * 批量删除参会人员
     * 
     * @param conferenceIds 需要删除的参会人员主键
     * @return 结果
     */
    @Override
    public int deleteSysUserConferenceByConferenceIds(Long[] conferenceIds)
    {
        return sysUserConferenceMapper.deleteSysUserConferenceByConferenceIds(conferenceIds);
    }

    /**
     * 删除参会人员信息
     * 
     * @param conferenceId 参会人员主键
     * @return 结果
     */
    @Override
    public int deleteSysUserConferenceByConferenceId(Long conferenceId)
    {
        return sysUserConferenceMapper.deleteSysUserConferenceByConferenceId(conferenceId);
    }
}
